libpagemaker::PMDParser::RecordIterator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
libpagemaker::PMDParser::RecordIterator Class Reference
Inheritance diagram for libpagemaker::PMDParser::RecordIterator:

## Public Member Functions
| RecordIterator (const RecordContainerList_t &records)
| RecordIterator (const RecordContainerList_t &records, uint16_t seqNum)
| RecordIterator (const RecordContainerList_t &records, const RecordTypeMap_t &types, uint16_t recType)

## Private Member Functions
reference | dereference () const
bool | equal (const RecordIterator &other) const
void | increment ()
void | decrement ()

## Private Attributes
RecordContainerList_t::const_iterator | m_it
RecordContainerList_t::const_iterator | m_begin
RecordContainerList_t::const_iterator | m_end
boost::optional< uint16_t > | m_selector
boost::optional< RecordTypeMap_t::mapped_type::const_iterator > | m_recIt
RecordTypeMap_t::mapped_type::const_iterator | m_recBegin
RecordTypeMap_t::mapped_type::const_iterator | m_recEnd

## Friends
class | boost::iterator_core_access

## Constructor & Destructor Documentation

## ◆ RecordIterator() [1/3]

libpagemaker::PMDParser::RecordIterator::RecordIterator | ( | const RecordContainerList_t & | records | ) |

## ◆ RecordIterator() [2/3]

libpagemaker::PMDParser::RecordIterator::RecordIterator | ( | const RecordContainerList_t & | records,
|  | uint16_t | seqNum
| ) |  |

## ◆ RecordIterator() [3/3]

libpagemaker::PMDParser::RecordIterator::RecordIterator | ( | const RecordContainerList_t & | records,
|  | const RecordTypeMap_t & | types,
|  | uint16_t | recType
| ) |  |

## Member Function Documentation

## ◆ decrement()

void libpagemaker::PMDParser::RecordIterator::decrement | ( |  | ) |
| private

## ◆ dereference()

PMDParser::RecordIterator::reference libpagemaker::PMDParser::RecordIterator::dereference | ( |  | ) | const
| private

## ◆ equal()

bool libpagemaker::PMDParser::RecordIterator::equal | ( | const RecordIterator & | other | ) | const
| private

## ◆ increment()

void libpagemaker::PMDParser::RecordIterator::increment | ( |  | ) |
| private

Referenced by RecordIterator().

## Friends And Related Function Documentation

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

## Member Data Documentation

## ◆ m_begin

RecordContainerList_t::const_iterator libpagemaker::PMDParser::RecordIterator::m_begin
| private

Referenced by RecordIterator().

## ◆ m_end

RecordContainerList_t::const_iterator libpagemaker::PMDParser::RecordIterator::m_end
| private

Referenced by equal().

## ◆ m_it

RecordContainerList_t::const_iterator libpagemaker::PMDParser::RecordIterator::m_it
| private

Referenced by equal(), and RecordIterator().

## ◆ m_recBegin

RecordTypeMap_t::mapped_type::const_iterator libpagemaker::PMDParser::RecordIterator::m_recBegin
| private

Referenced by RecordIterator().

## ◆ m_recEnd

RecordTypeMap_t::mapped_type::const_iterator libpagemaker::PMDParser::RecordIterator::m_recEnd
| private

Referenced by RecordIterator().

## ◆ m_recIt

boost::optional<RecordTypeMap_t::mapped_type::const_iterator> libpagemaker::PMDParser::RecordIterator::m_recIt
| private

Referenced by RecordIterator().

## ◆ m_selector

boost::optional<uint16_t> libpagemaker::PMDParser::RecordIterator::m_selector
| private

The documentation for this class was generated from the following file:

- PMDParser.cpp